/**
 * <copyright>
 * </copyright>
 *
 * $Id: CoreFactoryImpl.java 9011 2012-01-13 14:48:10Z mjohannes $
 */
package org.openxma.dsl.core.model.impl;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EDataType;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.impl.EFactoryImpl;
import org.eclipse.emf.ecore.plugin.EcorePlugin;
import org.openxma.dsl.core.CoreFactory;
import org.openxma.dsl.core.CorePackage;
import org.openxma.dsl.core.model.*;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Factory</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class CoreFactoryImpl extends EFactoryImpl implements CoreFactory {
	/**
     * Creates the default factory implementation.
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public static CoreFactory init() {
        try {
            CoreFactory theCoreFactory = (CoreFactory)EPackage.Registry.INSTANCE.getEFactory("http://www.openxma.org/dsl/core/CoreDsl"); 
            if (theCoreFactory != null) {
                return theCoreFactory;
            }
        }
        catch (Exception exception) {
            EcorePlugin.INSTANCE.log(exception);
        }
        return new CoreFactoryImpl();
    }

	/**
     * Creates an instance of the factory.
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public CoreFactoryImpl() {
        super();
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	@Override
	public EObject create(EClass eClass) {
        switch (eClass.getClassifierID()) {
            case CorePackage.MODEL: return createModel();
            case CorePackage.IMPORT: return createImport();
            case CorePackage.TYPE: return createType();
            case CorePackage.SIMPLE_TYPE: return createSimpleType();
            case CorePackage.SQL_TYPE: return createSqlType();
            case CorePackage.ENUM_TYPE: return createEnumType();
            case CorePackage.ENUM_LITERAL: return createEnumLiteral();
            case CorePackage.PARAMETER_DEFINITION: return createParameterDefinition();
            case CorePackage.REFERENCE_WITH_PARAMETER: return createReferenceWithParameter();
            case CorePackage.VALIDATOR_REFERENCE: return createValidatorReference();
            case CorePackage.VALIDATOR: return createValidator();
            case CorePackage.INCREMENTER: return createIncrementer();
            case CorePackage.INCREMENTER_REFERENCE: return createIncrementerReference();
            case CorePackage.EDITOR: return createEditor();
            case CorePackage.STYLE: return createStyle();
            case CorePackage.TYPE_DEFINITION: return createTypeDefinition();
            case CorePackage.DATA_TYPE_AND_TYPE_PARAMETER: return createDataTypeAndTypeParameter();
            case CorePackage.PARAMETER_VALUE: return createParameterValue();
            case CorePackage.INTEGER_PARAMETER_VALUE: return createIntegerParameterValue();
            case CorePackage.STRING_PARAMETER_VALUE: return createStringParameterValue();
            case CorePackage.BOOLEAN_PARAMETER_VALUE: return createBooleanParameterValue();
            case CorePackage.CONDITIONS_BLOCK: return createConditionsBlock();
            case CorePackage.CONSTRAINT: return createConstraint();
            case CorePackage.EQUALITY_EXPR: return createEqualityExpr();
            case CorePackage.COND_OR_EXPR: return createCondORExpr();
            case CorePackage.COND_OR_RIGHTS: return createCondORRights();
            case CorePackage.COND_AND_EXPR: return createCondANDExpr();
            case CorePackage.COND_AND_RIGHTS: return createCondANDRights();
            case CorePackage.ATOMIC_BOOL_EXPR: return createAtomicBoolExpr();
            case CorePackage.RELATIONAL_EXPR: return createRelationalExpr();
            case CorePackage.ADDITIVE_EXPR: return createAdditiveExpr();
            case CorePackage.ADDITIVE_RIGHTS: return createAdditiveRights();
            case CorePackage.MULTIPLICATIVE_EXPR: return createMultiplicativeExpr();
            case CorePackage.MULTIPLICATIVE_RIGHTS: return createMultiplicativeRights();
            case CorePackage.ATOMIC_EXPR: return createAtomicExpr();
            case CorePackage.VARIABLE: return createVariable();
            case CorePackage.XMADSL_VARIABLE: return createXmadslVariable();
            case CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE: return createReferenceableByXmadslVariable();
            case CorePackage.STATUS_FLAG: return createStatusFlag();
            case CorePackage.CALL: return createCall();
            case CorePackage.FUNCTION: return createFunction();
            case CorePackage.PAREN_EXPR: return createParenExpr();
            case CorePackage.LITERAL: return createLiteral();
            case CorePackage.INT_LITERAL: return createIntLiteral();
            case CorePackage.STRING_LITERAL: return createStringLiteral();
            case CorePackage.TRUE_LITERAL: return createTrueLiteral();
            case CorePackage.FALSE_LITERAL: return createFalseLiteral();
            default:
                throw new IllegalArgumentException("The class '" + eClass.getName() + "' is not a valid classifier");
        }
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	@Override
	public Object createFromString(EDataType eDataType, String initialValue) {
        switch (eDataType.getClassifierID()) {
            case CorePackage.PARAMETER_DEFINITION_TYPE:
                return createParameterDefinitionTypeFromString(eDataType, initialValue);
            case CorePackage.MULTIPLICATIVE_OP:
                return createMultiplicativeOpFromString(eDataType, initialValue);
            case CorePackage.ADDITIVE_OP:
                return createAdditiveOpFromString(eDataType, initialValue);
            case CorePackage.RELATIONAL_OP:
                return createRelationalOpFromString(eDataType, initialValue);
            case CorePackage.EQUALITY_OP:
                return createEqualityOpFromString(eDataType, initialValue);
            case CorePackage.OR_OP:
                return createOrOpFromString(eDataType, initialValue);
            case CorePackage.AND_OP:
                return createAndOpFromString(eDataType, initialValue);
            case CorePackage.VARIABLE_ACCESS:
                return createVariableAccessFromString(eDataType, initialValue);
            case CorePackage.BOOLEAN_VALUE:
                return createBooleanValueFromString(eDataType, initialValue);
            case CorePackage.VALUE_MODEL_TYPE:
                return createValueModelTypeFromString(eDataType, initialValue);
            default:
                throw new IllegalArgumentException("The datatype '" + eDataType.getName() + "' is not a valid classifier");
        }
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	@Override
	public String convertToString(EDataType eDataType, Object instanceValue) {
        switch (eDataType.getClassifierID()) {
            case CorePackage.PARAMETER_DEFINITION_TYPE:
                return convertParameterDefinitionTypeToString(eDataType, instanceValue);
            case CorePackage.MULTIPLICATIVE_OP:
                return convertMultiplicativeOpToString(eDataType, instanceValue);
            case CorePackage.ADDITIVE_OP:
                return convertAdditiveOpToString(eDataType, instanceValue);
            case CorePackage.RELATIONAL_OP:
                return convertRelationalOpToString(eDataType, instanceValue);
            case CorePackage.EQUALITY_OP:
                return convertEqualityOpToString(eDataType, instanceValue);
            case CorePackage.OR_OP:
                return convertOrOpToString(eDataType, instanceValue);
            case CorePackage.AND_OP:
                return convertAndOpToString(eDataType, instanceValue);
            case CorePackage.VARIABLE_ACCESS:
                return convertVariableAccessToString(eDataType, instanceValue);
            case CorePackage.BOOLEAN_VALUE:
                return convertBooleanValueToString(eDataType, instanceValue);
            case CorePackage.VALUE_MODEL_TYPE:
                return convertValueModelTypeToString(eDataType, instanceValue);
            default:
                throw new IllegalArgumentException("The datatype '" + eDataType.getName() + "' is not a valid classifier");
        }
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public Model createModel() {
        ModelImpl model = new ModelImpl();
        return model;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public Import createImport() {
        ImportImpl import_ = new ImportImpl();
        return import_;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public Type createType() {
        TypeImpl type = new TypeImpl();
        return type;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public SimpleType createSimpleType() {
        SimpleTypeImpl simpleType = new SimpleTypeImpl();
        return simpleType;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public SqlType createSqlType() {
        SqlTypeImpl sqlType = new SqlTypeImpl();
        return sqlType;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public EnumType createEnumType() {
        EnumTypeImpl enumType = new EnumTypeImpl();
        return enumType;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public EnumLiteral createEnumLiteral() {
        EnumLiteralImpl enumLiteral = new EnumLiteralImpl();
        return enumLiteral;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public ParameterDefinition createParameterDefinition() {
        ParameterDefinitionImpl parameterDefinition = new ParameterDefinitionImpl();
        return parameterDefinition;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public ReferenceWithParameter createReferenceWithParameter() {
        ReferenceWithParameterImpl referenceWithParameter = new ReferenceWithParameterImpl();
        return referenceWithParameter;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public ValidatorReference createValidatorReference() {
        ValidatorReferenceImpl validatorReference = new ValidatorReferenceImpl();
        return validatorReference;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public Validator createValidator() {
        ValidatorImpl validator = new ValidatorImpl();
        return validator;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public Incrementer createIncrementer() {
        IncrementerImpl incrementer = new IncrementerImpl();
        return incrementer;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public IncrementerReference createIncrementerReference() {
        IncrementerReferenceImpl incrementerReference = new IncrementerReferenceImpl();
        return incrementerReference;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public Editor createEditor() {
        EditorImpl editor = new EditorImpl();
        return editor;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public Style createStyle() {
        StyleImpl style = new StyleImpl();
        return style;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public TypeDefinition createTypeDefinition() {
        TypeDefinitionImpl typeDefinition = new TypeDefinitionImpl();
        return typeDefinition;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public DataTypeAndTypeParameter createDataTypeAndTypeParameter() {
        DataTypeAndTypeParameterImpl dataTypeAndTypeParameter = new DataTypeAndTypeParameterImpl();
        return dataTypeAndTypeParameter;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public ParameterValue createParameterValue() {
        ParameterValueImpl parameterValue = new ParameterValueImpl();
        return parameterValue;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public IntegerParameterValue createIntegerParameterValue() {
        IntegerParameterValueImpl integerParameterValue = new IntegerParameterValueImpl();
        return integerParameterValue;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public StringParameterValue createStringParameterValue() {
        StringParameterValueImpl stringParameterValue = new StringParameterValueImpl();
        return stringParameterValue;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public BooleanParameterValue createBooleanParameterValue() {
        BooleanParameterValueImpl booleanParameterValue = new BooleanParameterValueImpl();
        return booleanParameterValue;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public ConditionsBlock createConditionsBlock() {
        ConditionsBlockImpl conditionsBlock = new ConditionsBlockImpl();
        return conditionsBlock;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public Constraint createConstraint() {
        ConstraintImpl constraint = new ConstraintImpl();
        return constraint;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public EqualityExpr createEqualityExpr() {
        EqualityExprImpl equalityExpr = new EqualityExprImpl();
        return equalityExpr;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public CondORExpr createCondORExpr() {
        CondORExprImpl condORExpr = new CondORExprImpl();
        return condORExpr;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public CondORRights createCondORRights() {
        CondORRightsImpl condORRights = new CondORRightsImpl();
        return condORRights;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public CondANDExpr createCondANDExpr() {
        CondANDExprImpl condANDExpr = new CondANDExprImpl();
        return condANDExpr;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public CondANDRights createCondANDRights() {
        CondANDRightsImpl condANDRights = new CondANDRightsImpl();
        return condANDRights;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public AtomicBoolExpr createAtomicBoolExpr() {
        AtomicBoolExprImpl atomicBoolExpr = new AtomicBoolExprImpl();
        return atomicBoolExpr;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public RelationalExpr createRelationalExpr() {
        RelationalExprImpl relationalExpr = new RelationalExprImpl();
        return relationalExpr;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public AdditiveExpr createAdditiveExpr() {
        AdditiveExprImpl additiveExpr = new AdditiveExprImpl();
        return additiveExpr;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public AdditiveRights createAdditiveRights() {
        AdditiveRightsImpl additiveRights = new AdditiveRightsImpl();
        return additiveRights;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public MultiplicativeExpr createMultiplicativeExpr() {
        MultiplicativeExprImpl multiplicativeExpr = new MultiplicativeExprImpl();
        return multiplicativeExpr;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public MultiplicativeRights createMultiplicativeRights() {
        MultiplicativeRightsImpl multiplicativeRights = new MultiplicativeRightsImpl();
        return multiplicativeRights;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public AtomicExpr createAtomicExpr() {
        AtomicExprImpl atomicExpr = new AtomicExprImpl();
        return atomicExpr;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public Variable createVariable() {
        VariableImpl variable = new VariableImpl();
        return variable;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public XmadslVariable createXmadslVariable() {
        XmadslVariableImpl xmadslVariable = new XmadslVariableImpl();
        return xmadslVariable;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public ReferenceableByXmadslVariable createReferenceableByXmadslVariable() {
        ReferenceableByXmadslVariableImpl referenceableByXmadslVariable = new ReferenceableByXmadslVariableImpl();
        return referenceableByXmadslVariable;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public StatusFlag createStatusFlag() {
        StatusFlagImpl statusFlag = new StatusFlagImpl();
        return statusFlag;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public Call createCall() {
        CallImpl call = new CallImpl();
        return call;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public Function createFunction() {
        FunctionImpl function = new FunctionImpl();
        return function;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public ParenExpr createParenExpr() {
        ParenExprImpl parenExpr = new ParenExprImpl();
        return parenExpr;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public Literal createLiteral() {
        LiteralImpl literal = new LiteralImpl();
        return literal;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public IntLiteral createIntLiteral() {
        IntLiteralImpl intLiteral = new IntLiteralImpl();
        return intLiteral;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public StringLiteral createStringLiteral() {
        StringLiteralImpl stringLiteral = new StringLiteralImpl();
        return stringLiteral;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public TrueLiteral createTrueLiteral() {
        TrueLiteralImpl trueLiteral = new TrueLiteralImpl();
        return trueLiteral;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public FalseLiteral createFalseLiteral() {
        FalseLiteralImpl falseLiteral = new FalseLiteralImpl();
        return falseLiteral;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public ParameterDefinitionType createParameterDefinitionTypeFromString(EDataType eDataType, String initialValue) {
        ParameterDefinitionType result = ParameterDefinitionType.get(initialValue);
        if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
        return result;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public String convertParameterDefinitionTypeToString(EDataType eDataType, Object instanceValue) {
        return instanceValue == null ? null : instanceValue.toString();
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public MultiplicativeOp createMultiplicativeOpFromString(EDataType eDataType, String initialValue) {
        MultiplicativeOp result = MultiplicativeOp.get(initialValue);
        if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
        return result;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public String convertMultiplicativeOpToString(EDataType eDataType, Object instanceValue) {
        return instanceValue == null ? null : instanceValue.toString();
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public AdditiveOp createAdditiveOpFromString(EDataType eDataType, String initialValue) {
        AdditiveOp result = AdditiveOp.get(initialValue);
        if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
        return result;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public String convertAdditiveOpToString(EDataType eDataType, Object instanceValue) {
        return instanceValue == null ? null : instanceValue.toString();
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public RelationalOp createRelationalOpFromString(EDataType eDataType, String initialValue) {
        RelationalOp result = RelationalOp.get(initialValue);
        if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
        return result;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public String convertRelationalOpToString(EDataType eDataType, Object instanceValue) {
        return instanceValue == null ? null : instanceValue.toString();
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public EqualityOp createEqualityOpFromString(EDataType eDataType, String initialValue) {
        EqualityOp result = EqualityOp.get(initialValue);
        if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
        return result;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public String convertEqualityOpToString(EDataType eDataType, Object instanceValue) {
        return instanceValue == null ? null : instanceValue.toString();
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public OrOp createOrOpFromString(EDataType eDataType, String initialValue) {
        OrOp result = OrOp.get(initialValue);
        if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
        return result;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public String convertOrOpToString(EDataType eDataType, Object instanceValue) {
        return instanceValue == null ? null : instanceValue.toString();
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public AndOp createAndOpFromString(EDataType eDataType, String initialValue) {
        AndOp result = AndOp.get(initialValue);
        if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
        return result;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public String convertAndOpToString(EDataType eDataType, Object instanceValue) {
        return instanceValue == null ? null : instanceValue.toString();
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public VariableAccess createVariableAccessFromString(EDataType eDataType, String initialValue) {
        VariableAccess result = VariableAccess.get(initialValue);
        if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
        return result;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public String convertVariableAccessToString(EDataType eDataType, Object instanceValue) {
        return instanceValue == null ? null : instanceValue.toString();
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public BooleanValue createBooleanValueFromString(EDataType eDataType, String initialValue) {
        BooleanValue result = BooleanValue.get(initialValue);
        if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
        return result;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public String convertBooleanValueToString(EDataType eDataType, Object instanceValue) {
        return instanceValue == null ? null : instanceValue.toString();
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public ValueModelType createValueModelTypeFromString(EDataType eDataType, String initialValue) {
        ValueModelType result = ValueModelType.get(initialValue);
        if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
        return result;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public String convertValueModelTypeToString(EDataType eDataType, Object instanceValue) {
        return instanceValue == null ? null : instanceValue.toString();
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public CorePackage getCorePackage() {
        return (CorePackage)getEPackage();
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @deprecated
     * @generated
     */
	@Deprecated
	public static CorePackage getPackage() {
        return CorePackage.eINSTANCE;
    }
	
	/**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated NOT
     */
	public SimpleType createSimpleType(String name, String instanceType) {
        SimpleType simpleType = CoreFactory.eINSTANCE.createSimpleType();
        TypeDefinition typeDefinition = CoreFactory.eINSTANCE.createTypeDefinition();
        simpleType.setName(name);
        typeDefinition.setInstanceType(instanceType);
        simpleType.setTypeDefinition(typeDefinition);
        return simpleType;
    }

} //CoreFactoryImpl
